Subject: Re: git-push on packed refs via HTTP

From: Thomas Jarosch <[email-masked]>
Date: Fri, 20 Mar 2009 11:03:59 +0100

Hi Steve,

On Friday, 20. March 2009 10:50:57 you wrote:
> Using HTTP as transport, I've noticed that after using git-gc on a git
> server, I can't push to that repo anymore: "No refs in common and none
> specified." Client and server are both 1.6.2. Is ths a bug or do I have to
> do something after executing git-gc on the server?

Check the permissions of the files on the server, I once accidentally executed
git commands as root user and the HTTP server was later
unable to read/write the repository properly.

Thomas